るりまサーチ

最速Rubyリファレンスマニュアル検索!
90件ヒット [1-90件を表示] (0.013秒)
トップページ > モジュール:Kernel[x] > クエリ:TypeError[x]

別のキーワード

  1. _builtin typeerror
  2. sort typeerror
  3. dump typeerror
  4. $@ typeerror
  5. $~ typeerror

種類

ライブラリ

キーワード

検索結果

Kernel.#Integer(arg, base = 0) -> Integer (25.0)

引数を整数(Fixnum,Bignum)に変換した結果を返します。

...した場合に発生します。
@raise TypeError メソッド to_int, to_i を持たないオブジェクトを引数に指定したか、to_int, to_i
が整数(Integerのサブクラス)を返さなかった場合に発生します。
@raise TypeError 引数に nil を指定した場合に発...
...#=> 4000
p Integer(9.88) #=> 9

p Integer(nil) # can't convert nil into Integer (TypeError)
p Integer(Object.new) # cannot convert Object into Integer (TypeError)

p Integer("10") #=> 10
p Integer("10", 2) #=> 2
p Integer("0d10") #=> 10...

Kernel.#Float(arg) -> Float (19.0)

引数を浮動小数点数(Float)に変換した結果を返します。

...です。
@raise ArgumentError 整数や浮動小数点数と見なせない文字列を引数に指定した場合に発生します。
@raise TypeError nil またはメソッド to_f を持たないオブジェクトを引数に指定したか、
to_f が浮動小数点数を返...
...8

p Float(Time.gm(1986)) #=> 504921600.0
p Float(Object.new) # can't convert Object into Float (TypeError)
p Float(nil) # can't convert nil into Float (TypeError)

p Float("10") #=> 10.0
p Float("10e2") #=> 1000.0
p Float("1e-2") #=> 0....

Kernel.#Hash(arg) -> Hash (13.0)

引数 arg で指定したオブジェクトを to_hash メソッドを呼び出す事で Hash オブジェクトに変換します。nil か [] を指定した場合は空の Hash オブジェクトを返します。

...@param arg 変換対象のオブジェクトを指定します。

Hash([]) # => {}
Hash(nil) # => {}
Hash(key: :value) # => {:key => :value}
Hash([1, 2, 3]) # => TypeError

@raise TypeError 変換できないオブジェクトを指定した場合に発生します。...

Kernel.#fail -> () (13.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...ジとなる文字列です。
@param backtrace 例外発生時のスタックトレースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。...
...捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
res...
...foo(4) #=> in method.in rescue.in method.in else.in ensure.

#例3
class MyException
def exception(mesg=nil)
SecurityError.new(mesg)
end
end

begin
raise MyException.new
rescue SecurityError
p $! #=> #<SecurityError: SecurityError>
end

@see Kernel.#caller...

Kernel.#fail(error_type, message = nil, backtrace = caller(0)) -> () (13.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...ジとなる文字列です。
@param backtrace 例外発生時のスタックトレースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。...
...捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
res...
...foo(4) #=> in method.in rescue.in method.in else.in ensure.

#例3
class MyException
def exception(mesg=nil)
SecurityError.new(mesg)
end
end

begin
raise MyException.new
rescue SecurityError
p $! #=> #<SecurityError: SecurityError>
end

@see Kernel.#caller...

絞り込み条件を変える

Kernel.#fail(message) -> () (13.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...ジとなる文字列です。
@param backtrace 例外発生時のスタックトレースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。...
...捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
res...
...foo(4) #=> in method.in rescue.in method.in else.in ensure.

#例3
class MyException
def exception(mesg=nil)
SecurityError.new(mesg)
end
end

begin
raise MyException.new
rescue SecurityError
p $! #=> #<SecurityError: SecurityError>
end

@see Kernel.#caller...

Kernel.#raise -> () (13.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...ジとなる文字列です。
@param backtrace 例外発生時のスタックトレースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。...
...捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
res...
...foo(4) #=> in method.in rescue.in method.in else.in ensure.

#例3
class MyException
def exception(mesg=nil)
SecurityError.new(mesg)
end
end

begin
raise MyException.new
rescue SecurityError
p $! #=> #<SecurityError: SecurityError>
end

@see Kernel.#caller...

Kernel.#raise(error_type, message = nil, backtrace = caller(0)) -> () (13.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...ジとなる文字列です。
@param backtrace 例外発生時のスタックトレースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。...
...捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
res...
...foo(4) #=> in method.in rescue.in method.in else.in ensure.

#例3
class MyException
def exception(mesg=nil)
SecurityError.new(mesg)
end
end

begin
raise MyException.new
rescue SecurityError
p $! #=> #<SecurityError: SecurityError>
end

@see Kernel.#caller...

Kernel.#raise(message) -> () (13.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...ジとなる文字列です。
@param backtrace 例外発生時のスタックトレースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。...
...捕捉の例を示します。

#例1
begin
raise NameError,"!!error!!"
rescue ArgumentError => err
rescue NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise "error!!" if num <= 9
res...
...foo(4) #=> in method.in rescue.in method.in else.in ensure.

#例3
class MyException
def exception(mesg=nil)
SecurityError.new(mesg)
end
end

begin
raise MyException.new
rescue SecurityError
p $! #=> #<SecurityError: SecurityError>
end

@see Kernel.#caller...

Kernel$$@ -> [String] | nil (7.0)

最後に例外が発生した時のバックトレースを表す配列です。 Kernel.#raise によって設定されます。

...トレースを表す配列です。
Kernel
.#raise によって設定されます。

配列の各要素はメソッドの呼び出し位置を示す文字列で形式は

"filename:line"

または

"filename:line:in `methodname'"

です。これは Kernel.#caller が返す値と同じ形式...
...$@ の値は、$!.backtrace の値と同じです。
また、$@ への代入は $!.set_backtrace 呼び出しと同じです。

文字列の配列でも nil でもない値を代入しようとすると、 TypeError 例外が発生します。

この変数はスレッドローカルです。...

絞り込み条件を変える

Kernel$$SAFE -> Integer (7.0)

カレントスレッドのセーフレベルを表す整数です。セーフレベルについては spec/safelevel を参照してください。

...です。セーフレベルについては
spec/safelevel を参照してください。

Thread.current.safe_level と同じです。
非整数を代入しようとすると TypeError が発生します。

この変数はスレッドローカルです。
Ruby起動時の初期値は 0 です。...

Kernel$$~ -> MatchData | nil (7.0)

現在のスコープで最後に成功したマッチに関する MatchDataオブジェクトです。 Regexp.last_match の別名です。

...の関連する組み込み変数の値が変化します。
MatchData オブジェクトでも nil でもない値を代入しようとすると TypeError が発生します。

この変数はローカルスコープかつスレッドローカルです。
Ruby起動時の初期値は nil です。...

Kernel.#Array(arg) -> Array (7.0)

引数を配列(Array)に変換した結果を返します。

...ドも定義されていない場合は
一要素の配列 [arg] を返します。

@param arg 変換対象のオブジェクトです。
@raise TypeError to_ary, to_a の返り値が配列でなければ発生します

p Array({:it => 3}) #=> [[:it, 3]]
p Array(nil) #=> []
p Array("fefe") #...

Kernel.#String(arg) -> String (7.0)

引数を文字列(String)に変換した結果を返します。

...変換します。
arg が文字列の場合、何もせず arg を返します。

@param arg 変換対象のオブジェクトです。
@raise TypeError to_s の返り値が文字列でなければ発生します。

class Foo
def to_s
"hogehoge"
end
end

arg = Foo.new
p Strin...

Kernel.#putc(ch) -> object (7.0)

文字 ch を 標準出力 $stdout に出力します。

...き込み用にオープンされていなければ発生します。
@raise Errno::EXXX 出力に失敗した場合に発生します。
@raise TypeError Integer に変換できないオブジェクトを引数に
指定した場合に発生します。

putc("ch")
putc(?c)...

絞り込み条件を変える